Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSOAPRequest Class Reference
SOAP communication library

eZSOAPRequest handles SOAP request messages More...

Inheritance diagram for eZSOAPRequest:

## Public Member Functions
| __construct ( $name="", $namespace="", $parameters=array())
| name ()
| ns ()
| addBodyAttribute ( $name, $value, $prefix=false)
| addParameter ( $name, $value)
| payload ()
Public Member Functions inherited from eZSOAPEnvelope
| __construct ()

## Public Attributes
| $Name
| The request name. More...
| $Namespace
| The request target namespace. More...
| $BodyAttributes = array()
| Additional body element attributes. More...
| $Parameters = array()
| Contains the request parameters. More...
Public Attributes inherited from eZSOAPEnvelope
const | ENV = "http://schemas.xmlsoap.org/soap/envelope/"
const | ENC = "http://schemas.xmlsoap.org/soap/encoding/"
const | SCHEMA_INSTANCE = "http://www.w3.org/2001/XMLSchema-instance"
const | SCHEMA_DATA = "http://www.w3.org/2001/XMLSchema"
const | ENV_PREFIX = "SOAP-ENV"
const | ENC_PREFIX = "SOAP-ENC"
const | XSI_PREFIX = "xsi"
const | XSD_PREFIX = "xsd"
const | INT = 1
const | STRING = 2
| $Header
| Contains the header object. More...
| $Body
| Contains the body object. More...

## Detailed Description

eZSOAPRequest handles SOAP request messages

Definition at line 18 of file ezsoaprequest.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSOAPRequest::__construct | ( |  | $name = `""`,
|  |  | $namespace = `""`,
|  |  | $parameters = `array()`
| ) |  |

Constructs a new eZSOAPRequest object. You have to provide the request name and the target namespace for the request.

Parameters

  string | $name |
  string | $namespace |
  array | $parameters |

Definition at line 26 of file ezsoaprequest.php.

References addParameter().

## Member Function Documentation

## ◆ addBodyAttribute()

eZSOAPRequest::addBodyAttribute | ( |  | $name,
|  |  | $value,
|  |  | $prefix = `false`
| ) |  |

Adds a new attribute to the body element.

Parameters

  attribute | name
  attribute | value
  prefix |

Definition at line 64 of file ezsoaprequest.php.

## ◆ addParameter()

eZSOAPRequest::addParameter | ( |  | $name,
|  |  | $value
| ) |  |

Adds a new parameter to the request. You have to provide a prameter name and value.

Definition at line 73 of file ezsoaprequest.php.

Referenced by __construct().

## ◆ name()

eZSOAPRequest::name | ( |  | ) |

Returns the request name.

Definition at line 42 of file ezsoaprequest.php.

References $Name.

## ◆ ns()

eZSOAPRequest::ns | ( |  | ) |

Returns the request target namespace.

Since
  4.1.4 (renamed from namespace() for php 5.3 compatibility)

Returns
  string

Definition at line 52 of file ezsoaprequest.php.

References $Namespace.

## ◆ payload()

eZSOAPRequest::payload | ( |  | ) |

Returns the request payload

Definition at line 81 of file ezsoaprequest.php.

References eZSOAPEnvelope\ENC, eZSOAPEnvelope\ENC_PREFIX, eZSOAPCodec\encodeValue(), eZSOAPEnvelope\ENV, eZSOAPEnvelope\ENV_PREFIX, eZSOAPEnvelope\SCHEMA_DATA, eZSOAPEnvelope\SCHEMA_INSTANCE, eZDebug\writeError(), eZSOAPEnvelope\XSD_PREFIX, and eZSOAPEnvelope\XSI_PREFIX.

## Member Data Documentation

## ◆ $BodyAttributes

eZSOAPRequest::$BodyAttributes = array()

Additional body element attributes.

Definition at line 132 of file ezsoaprequest.php.

## ◆ $Name

eZSOAPRequest::$Name

The request name.

Definition at line 126 of file ezsoaprequest.php.

Referenced by name().

## ◆ $Namespace

eZSOAPRequest::$Namespace

The request target namespace.

Definition at line 129 of file ezsoaprequest.php.

Referenced by ns().

## ◆ $Parameters

eZSOAPRequest::$Parameters = array()

Contains the request parameters.

Definition at line 135 of file ezsoaprequest.php.

The documentation for this class was generated from the following file:

- ezsoaprequest.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.